mdb_node(3)

NAME
mdb_node - Node Flags

SYNOPSIS

  Macros

#define F_BIGDATA 0x01
#define F_SUBDATA 0x02
#define F_DUPDATA 0x04
#define NODE_ADD_FLAGS (F_DUPDATA|F_SUBDATA|MDB_RESERVE|MDB_APPEND)

Detailed Description

Flags for node headers.

Macro Definition Documentation

  #define F_BIGDATA 0x01
data put on overflow page

  #define F_SUBDATA 0x02
data is a sub-database

  #define F_DUPDATA 0x04
data has duplicates

  #define NODE_ADD_FLAGS (F_DUPDATA|F_SUBDATA|MDB_RESERVE|MDB_APPEND)
valid flags for mdb_node_add()

Author

Generated automatically by Doxygen for LMDB from the source code.